## qct 1.7

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 # Files not revisioned which are distributed
 UI_FILES := qctlib/ui_dialog.py qctlib/ui_preferences.py
+UI_FILES += qctlib/ui_select.py
 EXTRAS := $(UI_FILES) doc/qct.1 doc/qct.1.html
 
 # Revisioned files which are not distributed
