=== debian/control ===
Source: qct
Section: vcs
Priority: extra
Maintainer: Vincent Danjean <vdanjean@debian.org>
Build-Depends: debhelper (>= 5.0.37.2), quilt, patchutils (>= 0.2.25),
 cdbs (>= 0.4.90~), python-all (>=2.6.6-3~)
Build-Depends-Indep: pyqt4-dev-tools, xmlto, asciidoc
X-Python-Version: >= 2.4
Standards-Version: 3.9.2
VCS-Git: git://git.debian.org/collab-maint/qct.git
VCS-Browser: http://git.debian.org/?p=collab-maint/qct.git
Homepage: http://qct.sourceforge.net/

Package: qct
Architecture: all
Depends: mercurial | bzr | monotone | subversion | cvs,
 ${shlibs:Depends}, ${misc:Depends},
 ${python:Depends}, python-qt4
Provides: ${python:Provides} 
Enhances: mercurial, cogito, bzr, monotone, subversion, cvs
Breaks: mercurial (<< 1.9.1-1)
Description: GUI commit tool
 qct is a GUI enabled commit tool for various VCS (currently Mercurial,
 Bazaar, Perforce, Subversion, Monotone, CVS). It aims to be
 Cross-Platform (Linux, Windows-Native, MacOS, cygwin). It allows the user
 to view diffs, select which files to commit (or ignore / revert), write
 commit messages and perform the commit itself.
