=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

DEB_PYTHON2_MODULE_PACKAGES=qct
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_INSTALL_MANPAGES_qct=doc/qct.1

install/qct::
	mkdir -p $(DEB_DESTDIR)/usr/lib/`pyversions -d`/site-packages/hgext
	install -m 644 \
		hgext/qct.py \
		$(DEB_DESTDIR)/usr/lib/`pyversions -d`/site-packages/hgext/qct.py

binary-install/qct::
	# Install system-wide extensions
	install -d $(DEB_DESTDIR)/etc/mercurial/hgrc.d/
	install -m 644 \
		debian/hgext.rc \
		$(DEB_DESTDIR)/etc/mercurial/hgrc.d/qct.rc

clean::
	$(RM) qctlib/ui_dialog.py qctlib/ui_preferences.py
	$(MAKE) -C doc clean

build-prepare:
	$(RM) qctlib/ui_dialog.py qctlib/ui_preferences.py
	$(MAKE) qctlib/ui_dialog.py qctlib/ui_preferences.py

build: build-prepare manpage

.PHONY: manpage

manpage:
	$(MAKE) -C doc
