=== debian/watch ===
version=3
http://qct.sourceforge.net/ qct-(.*)\.tar\.gz
